Introduction

Thank you for letting Keil Software provide you with the ARM based MCB2130 Evaluation Board and the software for the Philips LPC2100 microcontroller family. With this kit you may generate code and then operate it on the MCB2130 Evaluation Board. This hands-on process helps you determine hardware and software components required for current and future product development.

The MCB2130 Evaluation Board ships with the Philips LPC2138. This device is a superset of several other device variants of the Philips LPC2130 microcontroller series. The MCB2130 Board contains all hardware components that are required in a single-chip LPC2100 system and adds an LF amplifier for analog output and RS232 drivers.

MCB2130 Board

Board Contents

The MCB2130 kits includes the following items:

  • MCB2130 Evaluation Board.
  • CD-ROM which includes an evaluation version of the Keil Development Suite for ARM, example programs for the MCB2130 Evaluation Board, and MCB2130 Evaluation Board User’s Manual (this manual).

Example Programs

Several program examples are available for the MCB2130 board. All examples can be compiled and debugged using the Evaluation Version:

Example | Description
Blinky | Toggles the LED's and prints the value of A/D converter input AN1 to the serial port. The toggle speed of the LED depend on the input voltage of the AN0 input.
Sound | Generates DTMF tones on the speaker of the MCB2130 (connected to AOUT). Volume is adjustable through the value of A/D converter input AN1.
VoicePlayer | Plays a couple of wave samples that are stored in the on-chip Flash ROM on AOUT. Volume is adjustable through the value of A/D converter input AN1.

Quick Start

Use the following table to quickly locate important information about the MCB2130 board.

To… | See…
Connect power to the MCB2130 board. | Board Setup
Connect the MCB2130 via ULINK/JTAG to your PC. | Using MCB2130 with ULINK
Read about the default configuration settings. | Configuring the MCB2130
Configure the tool options for the MCB2130 board. | Programming
Learn more about the µVision IDE. | Getting Started User's Guide
Read about the configuration jumpers. | Jumpers in Detail
Review the MCB2130 schematics. | See MCB2130-Schematics.PDF

Technical Support

Technical support for Keil MCB2130 is available under http://www.keil.com/MCB2130. Self-Service Support available under http://www.keil.com/support provides access to the Knowledgebase, Application Notes, and Discussion Forum.


Board Setup

The MCB2130 Evaluation Board requires 5V .. 9V DC power supply. It is powered from a USB port on your PC.

You may connect the JTAG interface of the MCB2130 Board to the Keil µVision Debugger using the Keil ULINK USB-JTAG Adapter. interface that connects to Keil ULINK. No additional software is required on the board. It is also possible to set breakpoints in Flash ROM which allows you to test production code.

Hardware/Software Requirements

  • A PC running Microsoft Windows 98/ME or Windows NT/2000/XP with USB port (for ULINK) or COM port (for Flash Programming via Serial Interface).
  • The Keil Development Suite for ARM which includes the µVision Debugger. The Keil Development Suite for ARM contains several example programs for the MCB2130.

Using MCB2130 with ULINK

To use the MCB2130 Evaluation Board with ULINK, you must:

  • Connect the ULINK to the PC via a standard USB cable.
  • Connect ULINK to the JTAG connector of the MCB2130 board.
  • Make sure that J9 - JTAG is ON.
  • Connect the USB port on the MCB2130 to the PC via a standard USB cable (this provides power supply only).

The following picture shows how to connect ULINK to the MCB2130 board.

Note

  • The Embedded ICE in the LPC2000 core is disabled when the device is in Power Down or Idle mode. Therefore ULINK will stop working when your code puts the ARM device into Idle or Power Down mode. Therefore the application program should not put the ARM device into the power saving modes during the software development cycle.

Board Components

The following illustration shows MCB2130 board and the important interface and hardware components.

Configuring the MCB2130

The MCB2130 Evaluation Board is configured using the jumpers J1 - J13. The MCB2130 Board is shipped with the following configuration:

Jumper | State | Description
J1 - ISP | ON | Enable In-System Programming via COM0.
J2 - AV | ON | Connect POT1 potentiometer to AIN0 for analog input demonstration.
J3 - 3.3V | ON | Connect 3.3V to CPU.
J4 - VBAT | ON | Connect VBAT to CPU.
J5 - V3A | ON | Connect analog reference voltage to CPU.
J6 - LED | ON | Enable Port1.16 - Port1.23 LED's.
J7 - INT1 | ON | Enable INT1 Push Button.
J8 - ETM | OFF | Disable Embedded Trace.
J9 - JTAG | ON | Enable JTAG interface.
J10 - RST | ON | Enable Reset via COM0.
J11 - VREF | ON | Connect VREF to CPU.
J13 - AOUT | ON | Connect AOUT via LF amplifier to lautspeaker.

Jumpers in Detail

The following section describes the jumpers used for the configuration of the MCB2130 board.

  • J1 - ISP: Enable for In-System Programming: When J1 is set, it is possible to generate a signal on P0.14 (EINT1) via the RTS line of the COM0 port. When RTS is active P0.14 is driven low. This is used to enter ISP (In-System Programming) mode.
  • J2 - AV: Analog Voltage for AIN0: connects POT1 potentiometer to analog input AIN0.
  • J3 - 3.3V: Supply Voltage for CPU: connects 3.3V Supply Voltage to CPU.
  • J4 - VBAT: Battery Supply Voltage for CPU: connects 3.3V Supply Voltage VBAT of the CPU.
  • J5 - V3A: Analog Reference Voltage for CPU: connects 3.3V Supply Voltage to CPU Analog Reference Input V3A.
  • J6 - LED: Enable LED Driver: When J6 is set, the LED driver is enabled for Port1.16 - Port1.23 LED's.
  • J7 - INT1: Enable Push Button INT1: When J7 is set, the push button INT1 connects to the CPU I/O pin P0.14 (EINT1 input). When the bush button is pressed a low signal is generated.
  • J8 - ETM: Enable Embedded Trace Module: When J8 is set, the Embedded Trace Module (ETM) is enabled. In this case the Port1.16 - Port1.23 LED's cannot be used since this pins share ETM signals.
  • J9 - JTAG: Enable JTAG Interface: When J9 is set, the JTAG interface is enabled. This is required for debugging via Keil ULINK or other JTAG debuggers. This is required for ISP flashing.
  • J10 - RST: Enable Reset via COM0 Port: When RST is set, it is possible to generate a CPU RESET signal via the DTR signal of the COM0 port. When DTR is active RESET is generated.
  • J11 - VREF: A/D Converter Reference Voltage: connects 3.3V Supply Voltage VREF of the CPU.
  • J13 - AOUT: D/A Output for loudspeaker: When J13 is set the AOUT output is connected LF amplifier.


Hardware

The MCB2130 is designed to be a very flexible evaluation board for the Philips LPC2100 device series. The MCB2130 evaluation board can be expanded to build hardware prototypes. You may debug your application software via the Embedded ICE for example by connecting the Keil ULINK USB-JTAG Adapter to the JTAG interface.

Hardware Blocks

This section describes the hardware blocks of the MCB2130 board. It provides a circuit description that helps you to understand the MCB2130 board components and describes how you may interface to the various I/O interfaces available.

The following block diagram shows the various I/O, configuration, and power systems on the board.

Power Supply

Power is provided to the MCB2130 Board for your PC via a standard USB connector. The voltage regulator (IC3) generates 3.3 Volts DC.

Note

  • Do not attach additional power supplies (such as batteries) while MCB2130 is powered by USB. This may harm your PC!

LPC2138 Microcontroller

The Philips LPC2138 microcontroller (IC1) provided with the MCB2130 board is a high-end LPC213x device with advanced ADC and DAC features. A 12.0 MHz crystal provides the clock signal.

Configuration

The MCB2130 evaluation board is very flexible. You may change the operation of the board using the configuration jumpers. Features such as debug interfaces, Digital Output and Analog Input Voltages can be configured using these jumpers. Refer to Configuration Jumpers a description of the possible settings

After changing configuration jumpers you must reset the MCB2130 board.

Note

  • The LPC213x device provides many configuration options. Some of these settings are available via configuration resistors which are described available in the document MCB2130-Schematics.PDF.

JTAG Interface Connector

The JTAG of the Philips LPC21xx device is connected to the JTAG interface connector. JTAG allows application debugging and programming of on-chip and off-chip Flash devices. The standard JTAG 20-pin connector is supported by Keil ULINK and many third party tool vendors.

Digital Analog Converter

The MCB2130 board provides a loudspeaker which is connected to the analog output pin of the DAC. The analog output signal of the LPC2138 (AOUT) is amplified with a LM386 LF amplifier (IC4).

Status LEDs

The MCB2130 board has the following status LEDs:

  • POWER shows that the power supply is connected to the board.
  • P1.16 - P1.23 are connected to eight Port 1 pins and can be used to display program status while testing your applications.

Push Buttons

The MCB2130 board provides two buttons:

  • RESET is connected to the reset input of the microcontroller.
  • INT1 is connected to the NMI (Non-Maskable Interrupt) of the microcontroller.

Serial Ports

The MCB2130 board supports the ASC0 on-chip serial UART and uses a MAX232 (IC10) to convert the logic signals to RS-232 voltage levels. The ASC0 UART might be used in bootstrap mode to download debugging utilities like the Flash programming tools.

The serial ports (COM) are configured as a standard 3-wire interface. The DB9 connector is wired to loop the PC’s handshaking signals back to the PC. Refer to the figure below for details.

Microcontroller Signals

All microcontroller signals are brought out to pins and are driven directly by the microcontroller. Exercise caution to avoid overloading these signal lines.

Technical Data

Parameter | Description
Supply Voltage | 5V DC (provided by the USB bus of a PC)
Supply Current | 65mA typical, 120mA maximum
XTAL Frequency | 12 MHz (Allows up to 60MHz CPU clock)
CPU | Philips LPC21xx
Peripherals | 2 × RS232 Interfaces, 1 × JTAG Interface, 1 × Analog Output (connected to speaker by default) 1 × Analog Input (connected to potentiometer by default) 1 × ETM Interface (optional)

Schematics

The detailed schematics are available in the document MCB2130-Schematics.PDF.

Printed Board Assembly for MCB2130


µVision - LPC Development Studio

MCB2130 Development Studio

The MCB2130 Board is shipped with a CD-ROM that contains the following software components:

Keil Developers Suite for ARM

The MCB2130 is shipped with an Evaluation Version of the Keil Developers Suite for ARM which includes:

  • Powerful and easy-to-use µVision IDE that includes editor, project management and make.
  • µVision Debugger with complete CPU and peripheral simulation and driver for the Keil ULINK USB-JTAG Adapter.
  • Keil CARM ANSI-C Compiler and Tools.
  • ARTX Tiny RTOS Kernel for Keil CARM.
  • Extensive tutorials and documentation.

Restrictions of the Evaluation Version

The Evaluation Version of the Keil Developers Kit for ARM has the following restrictions:

  • µVision Debugger and CARM are limited to 16K Bytes user code.
  • You may not use the Evaluation Version to create commercial products.
  • The GNU ARM tools (compiler, assembler, and so on) that are provided are not limited or restricted in any way.

Other Software Components

In addition the following software components are included:

  • Philips LPC2000 Flash Utility for programming the on-chip Flash ROM via a standard PC COM port.
  • GNU ARM Tools binary for Windows platform.


Programming

The following sections take you step-by-step through the process using the Keil development tools with the MCB2130. It describes briefly you how to use µVision to create, compile, download, and run a program on the MCB2130 Board.

Generating programs for the MCB2130 board is easy. The process is:

  1. Write program code using the µVision IDE and the Keil ARM toolset, GNU, or ARM ADS.
  2. Download the program to the on-chip Flash of the MCB2130 Board.
  3. Debug the program using the µVision Debugger and ULINK.

The MCB2130 board comes with the Keil Development Tools CD-ROM that contains an Evaluation Version of the Keil Development Suite for ARM. If you are not already using Keil Tools, you may install the evaluation version from the CD-ROM.

Example Programs

The Keil Development Suite for ARM contains several example programs that are configured for the Keil MCB2130 Board. Each example program is stored in a separate folder along with project files that help you quickly build and evaluate each sample program.

The following table lists the sample programs that are dedicated for the MCB2130 Board and their folder names.

Example Program | Description
..\ARM\...\Boards\Keil\MCB2130\Blinky | Toggles the LED's and prints the value of A/D converter input AN0 to the serial port. The toggle speed of the LED depend on the input voltage of the AN0 input.
..\ARM\...\Boards\Keil\MCB2130\Sound | Generates DTMF tones on the speaker of the MCB2130 (connected to AOUT). Volume is adjustable through the value of A/D converter input AN1.
..\ARM\...\Boards\Keil\MCB2130\VoicePlayer | Plays a couple of wave samples that are stored in the on-chip Flash ROM on AOUT. Volume is adjustable through the value of A/D converter input AN1.

Several other example projects have a target named MCB2130 that may be selected using the build toolbar. You may find more information in the Getting Started User’s Guide (..\Keil\ARM\HLP\GSA.CHM) in the chapter Sample Programs.

Application Notes

Keil Software provides numerous Application Notes that discuss solutions to special problems. These are available on the Keil web site at: http://www.keil.com/appnotes

Application Notes are available for topics like CAN and Ethernet Programming, Complex Device Simulation and many more...


Write Program Code

The following section describes the steps required for creating application programs. Detailed information can be found in the Getting Started User’s Guide (..\Keil\ARM\HLP\GSA.CHM) in the chapter Creating Applications.
  1. Create a new Project File with the µVision menu command Project - New Project. Select a microcontroller from the Device Database™. The MCB2130 Board comes with the Philips LPC2138, however, you may also use it to develop code for other LPC213x device variants. The LPC2138 represents a superset of the LPC213x device series.
  2. Add and configure Startup Code:
    • For Keil ARM tools the file Startup.s in the folder ..\Keil\ARM\Boards\Keil\MCB2130\Blinky provides a pre-configured startup code for the MCB2130 board.
    • For GNU tools the file Startup.s in the folder ..\Keil\ARM\GNU\Boards\Keil\MCB2130\Blinky provides a pre-configured startup code for the MCB2130 board.

    You may copy this file to your project folder and add it to the project. This gives you the possibility to make your own startup configuration.

  3. Add Linker Control Script that controls the link process of the GNU tools. It is located in the same folder: ..\Keil\ARM\GNU\Boards\Keil\MCB2130\Blinky. Two pre-configured linker control script files are available:
    • Flash.ld configures the linker for program code in Flash ROM (typical configuration).
    • RAM.ld configures the linker for program code in RAM (use for extensive debugging purposes).
    Copy the file of your choice to your project folder. You will specify it in the linker settings later.
  4. Add own Source Code to the project which are created with the µVision editor (or any other editor of your choice) using one of the following ways:
    • Right mouse click in the Project Window on a group and use Add Files to Group from the context menu.
    • Use the Project - Components, Environment and Books - Project Components dialog. Within this dialog you may create and organize files into groups or you may create other project targets that have different tool configurations.

  5. Enter Hardware Parameters in the Project - Options for Target - Target dialog. For the MCB2130 board the XTAL frequency 12.0MHz is selected.

  6. Configure Output Files in the Project - Options for Target - Output dialog.
    • Select Folder for Objects... allows you to specify sub-folders for the output files.
    • Enable Debug Information to store symbolic debug information within the executable file for source level program test with the µVision debugger.
    • Enable Create HEX File to generate an Intel HEX file for Flash programming with the Philips LPC2000 Flash Utility.

  7. Configure C Compiler Options in the Project - Options for Target - CC dialog:
    • Compile Thumb Code configures the compiler for the ARM Thumb instruction set.
    • Support Calls between ARM and Thumb Instruction Set allows to intermix Thumb and native ARM code within the same project.
    • Enable APCS (ARM Procedure Call Standard) creates application with standard parameter passing conventions.
    For detailed information about Compiler options refer to the GNU User's Manuals.

  8. Configure Linker Options in the Project - Options for Target - Linker dialog:
    • Text Start: 0x0000000 locates code and constants to on-chip Flash ROM of the LPC2100 device.
    • Data Start: 0x4000000 locates variables to on-chip RAM of the LPC2100 device.
    • Linker Script File: .\flash.ld specifies the linker script file that you have copied in step 3. You may use the Edit button to configure certain options of that file.
    For detailed information about Linker options refer to the GNU User's Manuals.

  9. Generate Application Program with Project - Build Target. µVision translates all your source files and links the project. An Executable File in ELF Format is created and if enabled an Intel HEX file.


Download to On-Chip Flash

You may download code using the Keil ULINK JTAG-Adapter or the Philips LPC2000 Flash Utility. This section describes how to setup and use these utilities within the µVision IDE.

Using the Keil ULINK USB-JTAG Adapter

  1. Connect the ULINK to the JTAG connector of the MCB2130 Board. Note that the red cable marks pin 1 of the JTAG-connector. Make sure that the jumper J9 (JTAG) is ON.

    Note

    • The Embedded ICE in the LPC2000 core is disabled when the device is in Power Down or Idle mode. Therefore ULINK will stop working when your code puts the ARM device into Idle or Power Down mode. Therefore the application program should not put the ARM device into the power saving modes during the software development cycle.
  2. Power up the MCB2130 Board.
  3. Configure Flash Programming in the Project - Options for Target - Utilities dialog.
    • Use Target Driver for Flash Programming: ULINK ARM Debugger selects the ULINK USB-JTAG Adapter as Flash programming tool.
    • The option Update Target before Debugging ensures that the Flash ROM gets programmed whenever a new program version has been created.
    • The button Settings opens the Flash Download Setup dialog. Enter in this dialog as RAM for Algorithm Start: 0x40000000 & Size: 0x1000. Use the button Add and select the algorithm LPC2000 256kB Flash.

  4. Use Flash - Download command of µVision to download the application program into the LPC2100 device.

ULINK can be also used for application code debugging in Flash ROM or RAM of the LPC2100 microcontroller.

Using the Philips LPC2000 Flash Utility

  1. Configure Flash Programming in the Project - Options for Target - Utilities dialog.
    • Enable Use External Tool for Flash Programming. The µVision Device Database™ sets the required configuration options for the LPC2000 Flash Utility however you may need to modify the program path.
  2. Connect and Configure the MCB2130 Board as described under Using the LPC2000 Flash Utility.
  3. Use Flash - Download command of µVision to download the application program into the LPC2100 device.


Debug with ULINK

The following section describes program debugging with the µVision Debugger and the ULINK USB-JTAG Adapter. Detailed information can be found in the Getting Started User’s Guide (..\Keil\ARM\HLP\GSA.CHM) in the chapter Testing Programs.

  1. Connect the ULINK to the JTAG connector of the MCB2130 Board. Note that the red cable marks pin 1 of the JTAG-connector. Make sure that the jumper J9 (JTAG) is ON.

    Note

    • The Embedded ICE in the LPC2000 core is disabled when the device is in Power Down or Idle mode. Therefore ULINK will stop working when your code puts the ARM device into Idle or Power Down mode. Therefore the application program should not put the ARM device into the power saving modes during the software development cycle.
  2. Power up the MCB2130 Board.
  3. Configure the Debugger in the Project - Options for Target - Debug dialog.
    • Use: ULINK ARM Debugger selects the ULINK USB-JTAG Adapter as debugging tool.
    • You may Load Application at Startup of the debugger and Go till main function of your application program.
    • The button Settings opens the ARM Target Driver Setup dialog. This dialog should display the IDCODE of the ARM device on MCB2130 Board. The option Verify Code Download compares the loaded application program with the Flash ROM content.

  4. The µVision command Debug - Start/Stop Debug Session starts program debugging.


Using the LPC2000 Flash Utility

Philips provides a utility for In-System Flash (ISP) programming called LPC2000 Flash Utility. The installation files can be found on the Keil Development Tools CD-ROM.

Configure the MCB2130

  • Set the jumpers: J1, J3, J4, J5, J10
  • Connect a serial cable to your PC and to COM0 of the MCB2130.

Programming with the LPC2000 Flash Utility

  • Start the LPC2000 Flash Utility:

  • Configure the dialog as shown above. Most of the settings are already set by default. Make sure, that you choose the correct COM port on your PC under Connected to Port.
  • Choose any HEX file you created with the Keil Development Suite for ARM and press Upload to Flash to program it.

You may optionally check Execute Code after Upload to immediately start program execution after programming.

You may remove J1 (ISP) after programming.


Running the Blinky Example

BLINKY

The BLINKY sample program is located in Keil\ARM\Boards\Keil\MCB2130\Blinky (for the Keil ARM toolchain), Keil\ARM\GNU\Boards\Keil\MCB2130\Blinky (for the GNU toolchain), or Keil\ARM\ADS\Boards\Keil\MCB2130\Blinky (for the ARM ADS toolchain). BLINKY toggles the LED's and prints the value of A/D converter input AN0 to the serial port. The toggle speed of the LED depend on the input voltage of the AN0 input.

The entire program is composed of following source files:

  • Startup.s: CPU startup file for the Philips LPC2100 devices.
  • Serial.C: serial I/O routines for the UART interface.
  • Blinky.C: application module that uses analog input, provides the text output, and toggles the LEDs.

Build the BLINKY Application

In µVision, applications are maintained in a project file. A project file has been created for BLINKY. To load this project, select Open Project from the Project menu and open BLINKY.UV2 from the folder …\ARM\GNU\Boards\Keil\MCB2130\Blinky.

Edit Blinky.C

You may edit Blinky.C or review the source code. Double click on Blinky.C in the Files page of the Project Window. µVision loads and displays the contents of Blinky.C in an editor window.

Compile and Link BLINKY

When you are ready to compile and link your project, use the Build Target command from the Project menu or the Build toolbar. µVision begins to translate and link the source files and creates an absolute object module that you can load into the µVision debugger for testing. The status of the build process is listed in the Build page of the Output Window.

Note

  • You should encounter no errors when you use µVision with the provided sample projects.

Flash Download to MCB2130

Once the BLINKY program is generated, you can download the HEX file into on-chip Flash ROM of the LPC21xx device on the MCB2130 Evaluation Board.

For using the Philips LPC2100 FLASH ISP Utility you need to setup the MCB2130 board as described below:

  • Configure the Jumper Settings for Philips LPC210x FLASH ISP Utility: JP1 - ON, JP10 - ON
  • Connect the Board COM0 Port to the PC COM1 interface using a standard 9-pin connector cable.
  • Connect the MCB2130 Board to a power supply (6V .. 9V=, 200mA)

You have two alternatives for Flash programming: use the µVision Flash Download command or use the Philips LPC210x FLASH ISP Utility in dialog mode.

Philips LPC210x FLASH ISP Utility can be found on the Keil Development Tools CDROM.

Use the µVision Flash Download Command

If you are using an Keil ULINK USB/JTAG Adapter, the Blinky project will be flashed when you enter the Debug Session. In this case you may ignore this section.

When you use the Download command the first time, you have to configure the Flash options under Project - Options for Target - Utilities. Select External Tool for Flash Programming; required settings are automatically set by the Device Database.

Now the Project - Flash Download command will use the Keil ULINK USB-JTAG Adapter or the Philips LPC2000 FLASH ISP Utility in batch mode for Flash programming. The Blinky application starts executing after you press RESET on the MCB2130.

Debug BLINKY MCB2130 (for ULINK only)

The µVision command Debug - Start/Stop Debug Session connects the debugger to the Keil ULINK Adapter. The CPU stops and connects to the Embedded ICE of the LPC2100 device. For details on the debugging features, refer to DKARM Getting Started Manual.

The Peripherals Menu allows you to open different dialogs, for Peripheral units on the LPC2000. For Eaxmple:

The GPIO1 dialog reflects the status of the I/O ports.

The PLL dialog shows the core clock configuration of the LPC2000 device.

View Serial Output of the BLINKY Application

You may view the serial output of BLINKY application with the Microsoft Windows HyperTerminal application: Start - Programs - Accessories - Communication - HyperTerminal.

  1. Enter a Name for the new connection, for example: MCB2130.

  2. Select the PC COM port under Connect Using.

  3. Select 9600 Bits per second, 8 Data bits, Parity None, Stop bits 1 and Flow control None.

  4. Now you will receive the value of AIN0 from the MCB2130 board.


MCB2130: MCB2130 User's Guide

MCB2130 User's Guide

 Keil Software

This User’s Guide describes the MCB2130 Evaluation Board. It contains detailed operating instructions for the hardware and contains the following chapters:

  • Introduction gives an overview of the MCB2130 Board and the example programs.
  • Board Setup shows how to connect the MCB2130 Board to Keil ULINK and describes the jumpers of the board.
  • Hardware explains the components of the MCB2130 Board in detail.
  • MCB2130 Development Studio gives a short overview on the tools shipped with the board.
  • Programming describes how to write programs for the MCB2130 Board.
  • Blinky Example explains how to run example projects on the MCB2130 board using the Keil ULINK USB- JTAG Adapter.
  • LPC21xx Flash ISP Utility shows how to use the Philips ISP Utility for Flash Programming via a standard COM port.
Revision History
  • Nov 2004: Initial revision.
  • Dec 2004: Minor corrections.

Copyright (c) Keil Software, Inc. and Keil Elektronik GmbH. All rights reserved.